Bug 65683 - Warning occurs when entering Network Configuration
Warning occurs when entering Network Configuration
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-29 19:55 EDT by Craig Wall
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Wall 2002-05-29 19:55:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The following warning is encountered when entering Network Configuration: "eth0
has an alias to module e100 in modules.conf instead of currently loaded module
Intel(R) Pro/100 fast ethernet" the module then crashes and offers the attached
file for a bug report.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open Network Configuration
2.Warning message
3.Edit
4.Crash
	

Actual Results:  Edit aborts

Expected Results:  Edit configuration

Additional info:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 531, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/sbin/neat", line 561, in editDevice
    cfg = ethernetConfigDialog(device)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernetconfig.py",
line 61, in __init__
    device)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/deviceconfig.py", line
71, in __init__
    self.hydrate()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernetconfig.py",
line 95, in hydrate
    sharedtcpip.hardware_hydrate (self.sharedtcpip_xml, self.device)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/sharedtcpip.py",
line 286, in hardware_hydrate
    hwlist = NCHardwareList.getHardwareList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 353, in getHardwareList
    HWList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 134, in load
    wvdial = ConfSMB('/etc/wvdial.conf')
  File "/usr/lib/rhs/python/ConfSMB.py", line 34, in __init__
    merge=0, create_if_missing=0)
  File "/usr/lib/rhs/python/Conf.py", line 180, in __init__
    self.read()
  File "/usr/lib/rhs/python/ConfSMB.py", line 36, in read
    Conf.read(self)
  File "/usr/lib/rhs/python/Conf.py", line 258, in read
    raise FileMissing, self.filename + ' does not exist.'
Conf.FileMissing: /etc/wvdial.conf does not exist.

Local variables in innermost frame:
self: <ConfSMB.ConfSMB instance at 8544398>
file_exists: 0
Comment 1 Need Real Name 2002-09-17 10:10:20 EDT
I get the same error when attempting to edit device eth0 from the network 
configuration tool.
Comment 2 Need Real Name 2002-09-17 10:18:42 EDT
 Found a workaround/fix... just touch /etc/wvdial.conf to create a 0 length 
file.  Now things work fine!
Comment 3 Bill Nottingham 2006-08-05 00:16:27 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 10:40:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.